\# Generated via help2man but heavily modified
.TH GOOGLE-AUTH-OAUTHLIB "1" "July 2020" "google-oauthlib-tool" "User Commands"
.SH NAME
google-oauthlib-tool \- oauthlib integration with google-auth
.SH SYNOPSIS
.B google-oauthlib-tool
[\fI\,OPTIONS\/\fR]
.SH DESCRIPTION
.IP
Command\-line tool for obtaining authorization and credentials from a user.
.IP
This tool uses the OAuth 2.0 Authorization Code grant as described in
section 1.3.1 of RFC6749:
https://tools.ietf.org/html/rfc6749#section\-1.3.1
.IP
This tool is intended for assist developers in obtaining credentials for
testing applications where it may not be possible or easy to run a
complete OAuth 2.0 authorization flow, especially in the case of code
samples or embedded devices without input / display capabilities.
.IP
This is not intended for production use where a combination of companion
and on\-device applications should complete the OAuth 2.0 authorization
flow to get authorization from the users.
.SH OPTIONS
.TP
\fB\-\-client\-secrets\fR <client_secret_json_file>
Path to OAuth2 client secret JSON file.
[required]
.TP
\fB\-\-scope\fR <oauth2 scope>
API scopes to authorize access for.
[required]
.TP
\fB\-\-save\fR
.br
Save the credentials to file.  [default:
False]
.TP
\fB\-\-credentials\fR <oauth2_credentials>
Path to store OAuth2 credentials.  [default:
/root/.config/google\-oauthlibtool/credentials.json]
.TP
\fB\-\-headless\fR
Run a console based flow.  [default: False]
.TP
\fB\-\-help\fR
.br
Show this message and exit.
